;InnoSetupVersion=3.0.1

[Setup]
AppName=Go!Zilla
AppVerName=Go!Zilla 30 Day Trial
AppId=Go!Zilla
DefaultDirName={pf}\Go!Zilla
DefaultGroupName=Go!Zilla
UninstallDisplayIcon={app}\gozilla.exe
OutputBaseFilename=gozilla-nreg
Compression=bzip2
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\gozilla.exe"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\GoIEHlp.dll"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\GoNetHlp.dll"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\atl.dll"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\zlib.dll"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\default1.gif"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\default1.html"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\default23.gif"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\default23.html"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\images\dcan_logo.gif"; DestDir: "{app}\images"; Components: gozilla; 
Source: "{app}\images\gozilla_logo.gif"; DestDir: "{app}\images"; Components: gozilla; 
Source: "{app}\images\cleardot.gif"; DestDir: "{app}\images"; Components: gozilla; 
Source: "{app}\plug-ins\schedule.dll"; DestDir: "{app}\plug-ins"; Components: gozilla; 
Source: "{app}\plug-ins\search.dll"; DestDir: "{app}\plug-ins"; Components: gozilla; 
Source: "{app}\plug-ins\zipzilla.dll"; DestDir: "{app}\plug-ins"; Components: gozilla; 
Source: "{app}\growl.wav"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\problem.wav"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\scream.wav"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\big.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\default.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\schedule_big.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\search.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\search_big.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\windows.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\zipzilla_big.skin"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\Go!Zilla Help.url"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\Go!Zilla Web Site.url"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\launch.url"; DestDir: "{app}"; Components: gozilla; 
Source: "{app}\smartexplorer\se61.exe"; DestDir: "{app}\smartexplorer"; Components: smartexplorer; 
Source: "{app}\weatherbug\minibug.exe"; DestDir: "{app}\weatherbug"; Components: weatherbug; 
Source: "{app}\weatherbug\download.txt"; DestDir: "{app}\weatherbug"; Components: weatherbug; 
Source: "{app}\eZula\ezTTStub.exe"; DestDir: "{app}\eZula"; Components: ezula; 

[Run]
Filename: "{app}\gozilla.exe"; Parameters: "/install"; Flags: skipifsilent 
Filename: "{app}\gozilla.exe"; Description: "Launch Go!Zilla"; Flags: postinstall skipifsilent nowait
Filename: "{app}\smartexplorer\se61.exe"; Parameters: "/sp-"; Flags: skipifdoesntexist 
Filename: "{app}\weatherbug\minibug.exe"; Flags: skipifdoesntexist nowait
Filename: "{app}\eZula\ezTTStub.exe"; Flags: skipifdoesntexist nowait

[Icons]
Name: "{group}\Go!Zilla"; Filename: "{app}\gozilla.exe"; 
Name: "{group}\Go!Zilla Web Site"; Filename: "{app}\Go!Zilla Web Site.url"; 
Name: "{group}\Large Font Skin"; Filename: "{app}\gozilla.exe"; Parameters: """Large Font Skin.skin"""; 
Name: "{group}\Online Help"; Filename: "{app}\Go!Zilla Help.url"; 
Name: "{group}\Search For Files"; Filename: "{app}\launch.url"; 
Name: "{group}\Small Font Skin"; Filename: "{app}\gozilla.exe"; Parameters: """Small Font Skin.skin"""; 
Name: "{commondesktop}\Go!Zilla"; Filename: "{app}\gozilla.exe"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Go!Zilla"; Filename: "{app}\gozilla.exe"; MinVersion: 4.1,5.0; 
Name: "{group}\Install Smart Explorer"; Filename: "{app}\smartexplorer\se60.exe"; 
Name: "{group}\Uninstall Go!Zilla"; Filename: "{uninstallexe}"; 
Name: "{commonstartup}\Go!Zilla"; Filename: "{app}\gozilla.exe"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: "gozilla"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "gozilla"; 

[Components]
Name: "gozilla"; Description: "Go!Zilla Required Files"; Types: "full min custom"; 
Name: "smartexplorer"; Description: "Go!Zilla Internet Browser Add-On - Smart Explorer v6.1"; Types: "full min custom"; 
Name: "weatherbug"; Description: "WeatherBug - Get Live Neighborhood Conditions on your PC Desktop!"; Types: "full custom"; 
Name: "ezula"; Description: "TopText iLookup 2.0 - Instantly get Computer Encyclopedia and Dictionary Definitions with a click of the mouse"; Types: "full custom"; 

[Types]
Name: "full"; Description: "Full Installation"; 
Name: "min"; Description: "Minimal Installation"; 
Name: "custom"; Description: "Custom Installation"; 
